<?php
/**
 * DeliveryMethodEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Logistic
 *
 * Управление логистикой
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\LogisticClient\Dto;
use \Ensi\LogisticClient\ObjectSerializer;

/**
 * DeliveryMethodEnum Class Doc Comment
 *
 * @category Class
 * @description Способ доставки. Расшифровка значений:   * &#x60;1&#x60; - Курьерская доставка (доставка до адреса клиента)   * &#x60;2&#x60; - Самовывоз из ПВЗ (доставка до ПВЗ)   * &#x60;3&#x60; - Самовывоз из магазина (самовывоз без доставки)
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class DeliveryMethodEnum
{
    
    /** Курьерская доставка */
    public const DELIVERY = 1;
    
    /** Самовывоз из ПВЗ */
    public const PICKUP = 2;
    
    /** Самовывоз из магазина */
    public const STORE = 3;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::DELIVERY,
            self::PICKUP,
            self::STORE,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::DELIVERY => 'Курьерская доставка',
            self::PICKUP => 'Самовывоз из ПВЗ',
            self::STORE => 'Самовывоз из магазина',
        ];
    }
}


